commit: 20981f20c77a5d7ac2eca13287a14b9d44905bd7
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 8 01:35:23 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 8 01:35:23 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20981f20
app-portage/getuto: add 1.10
Sam James (5):
README.md: add
README.md: small tweaks
getuto: cleanup dirmngr too
ci: update for sys-devel/make -> dev-build/make pkgmove
getuto: honour http_proxy (pass --honor-http-proxy to gpg's dirmngr)
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-portage/getuto/Manifest | 1 +
app-portage/getuto/getuto-1.10.ebuild | 50 +++++++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/app-portage/getuto/Manifest b/app-portage/getuto/Manifest
index 149ef3ac4016..a2a8257d732e 100644
--- a/app-portage/getuto/Manifest
+++ b/app-portage/getuto/Manifest
@@ -1,2 +1,3 @@
+DIST getuto-1.10.tar.gz 10544 BLAKE2B
b4f5d2d591eb9f41e9fd528122b07bd90d69bcffe1abd721ea747f2d773a6295263bb120437d09b091f95fa0249ce764a2a262a049c74777b7adea765bf88c9a
SHA512
2b016fbe7fa046349af7d2a4e8ff26c5ae7328a4af7f1186cd19b3ff5ed6b639d0a6eb7db2f345c71169c0d30c7aea6d5a3a289000878328e776111d025eddb4
DIST getuto-1.9.1.tar.gz 10220 BLAKE2B
4c756f36e9d1272ab194c65e75b6c4d47c248190029ce2b5fe6edb1253998aaa311dd1ae59f893200d1588a52d1bcb53376a32f279c841ae6b5cf5e5b0eeb163
SHA512
3f8e5359940fa5582bea8dc11f2a0846c3f6bdc555974f2f049d5c6ff282029b6393a8c6ae221d327376b4df05de492f44720de90f76f5e3deb436171507f0cb
DIST libc-1-r1-1.gpkg.tar 20480 BLAKE2B
b2c184e20c1a29ff66240e992f9f81219285f525eb63cea081372685cf03a2e231a2edb528259617e74c655fbe61b6e0d8fc0bbdbd8452b6098de58432f019d7
SHA512
ce52f398ea8979ec16161381803740d49a4294c77303880f54090c379ba5eb8e545a3d3550f229cacc18c7763dc3adf7936561ba1c64b43c87692ec66084e4e6
diff --git a/app-portage/getuto/getuto-1.10.ebuild
b/app-portage/getuto/getuto-1.10.ebuild
new file mode 100644
index 000000000000..7be78a7129e1
--- /dev/null
+++ b/app-portage/getuto/getuto-1.10.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Standalone Gentoo gpg trust anchor generation tool for binpkgs"
+HOMEPAGE="https://github.com/projg2/getuto"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/projg2/getuto"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/projg2/getuto/archive/refs/tags/${P}.tar.gz
+ "
+ S=${WORKDIR}/${PN}-${P}
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+SRC_URI+=" test? (
https://mirror.bytemark.co.uk/gentoo/releases/amd64/binpackages/17.1/x86-64/virtual/libc/libc-1-r1-1.gpkg.tar
)"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ app-crypt/gnupg
+ dev-libs/openssl
+ sec-keys/openpgp-keys-gentoo-release
+ sys-apps/gentoo-functions
+"
+
+src_unpack() {
+ if [[ ${PV} == 9999 ]] ; then
+ git-r3_src_unpack
+ else
+ # Don't mangle test data
+ unpack ${P}.tar.gz
+ fi
+
+ if use test ; then
+ cp "${DISTDIR}"/libc-1-r1-1.gpkg.tar "${S}" || die
+ fi
+}
+
+src_install() {
+ dobin getuto
+}